return {
  {
    "neovim/nvim-lspconfig",
    opts = {
      servers = {
        rust_analyzer = {
          settings = {
            ["rust-analyzer"] = {
              cargo = {
                allFeatures = true, -- 启用所有 Cargo features
              },
              checkOnSave = {
                command = "clippy", -- 使用 clippy 而不是默认检查
              },
            },
          },
        },
      },
    },
  },

  -- 增强 Rust 开发体验的插件
  {
    "simrat39/rust-tools.nvim", -- 提供额外 Rust 功能（如 inlay_hints）
    ft = "rust",
    config = function()
      require("rust-tools").setup({
        server = {
          settings = {
            ["rust-analyzer"] = {
              inlayHints = {
                enable = true, -- 显示类型提示
              },
            },
          },
        },
      })
    end,
  },

  -- 调试支持（可选）
  {
    "mfussenegger/nvim-dap",
    optional = true,
    dependencies = {
      {
        "williamboman/mason.nvim",
        opts = function(_, opts)
          opts.ensure_installed = opts.ensure_installed or {}
          table.insert(opts.ensure_installed, "codelldb") -- 调试器
        end,
      },
    },
  },
}
